scaleTransitionProbability {VanillaICE} | R Documentation

## Scales the probability of transitioning between two states in the Viterbi algorithm

### Description

Function only returns a matrix of 1's (by default, no scaling of the transition probabilities). This may be changed in future releases.

### Usage

    scaleTransitionProbability(states, SCALE = 2, normalLabel = "N")

### Arguments

`states` | character string of hidden states
`SCALE` | Numeric. See details.
`normalLabel` | Character: label used for the baseline state.

### Value

A matrix of dimension S x S, where S is the number of states. The diagonal should always be 1 (we do not scale the probability of remaining in the same state). A slot for storing this matrix is provided in the `HmmParameter` class.

### Author(s)

RS

### See Also

`genomicDistance`, `transitionScale`, `HmmParameter-class`

[Package VanillaICE version 1.4.0 Index]